curl --request POST \
--url https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"description": "<string>",
"embeddedLinks": true,
"embeddedPhoneNumbers": true,
"messageFlow": "<string>",
"name": "<string>",
"privacyPolicyUrl": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberHelp": true,
"subscriberOptIn": true,
"subscriberOptOut": true,
"termsAndConditionsAccepted": true,
"termsAndConditionsUrl": "<string>",
"useCases": [],
"embeddedLinkSample": "<string>",
"helpKeywords": [
"<string>"
],
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optInMessage": "<string>",
"optOutKeywords": [
"<string>"
],
"optOutMessage": "<string>"
}
'import requests
url = "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns"
payload = {
"description": "<string>",
"embeddedLinks": True,
"embeddedPhoneNumbers": True,
"messageFlow": "<string>",
"name": "<string>",
"privacyPolicyUrl": "<string>",
"sampleMessages": ["<string>"],
"subscriberHelp": True,
"subscriberOptIn": True,
"subscriberOptOut": True,
"termsAndConditionsAccepted": True,
"termsAndConditionsUrl": "<string>",
"useCases": [],
"embeddedLinkSample": "<string>",
"helpKeywords": ["<string>"],
"helpMessage": "<string>",
"optInKeywords": ["<string>"],
"optInMessage": "<string>",
"optOutKeywords": ["<string>"],
"optOutMessage": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
embeddedLinks: true,
embeddedPhoneNumbers: true,
messageFlow: '<string>',
name: '<string>',
privacyPolicyUrl: '<string>',
sampleMessages: ['<string>'],
subscriberHelp: true,
subscriberOptIn: true,
subscriberOptOut: true,
termsAndConditionsAccepted: true,
termsAndConditionsUrl: '<string>',
useCases: [],
embeddedLinkSample: '<string>',
helpKeywords: ['<string>'],
helpMessage: '<string>',
optInKeywords: ['<string>'],
optInMessage: '<string>',
optOutKeywords: ['<string>'],
optOutMessage: '<string>'
})
};
fetch('https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'embeddedLinks' => true,
'embeddedPhoneNumbers' => true,
'messageFlow' => '<string>',
'name' => '<string>',
'privacyPolicyUrl' => '<string>',
'sampleMessages' => [
'<string>'
],
'subscriberHelp' => true,
'subscriberOptIn' => true,
'subscriberOptOut' => true,
'termsAndConditionsAccepted' => true,
'termsAndConditionsUrl' => '<string>',
'useCases' => [
],
'embeddedLinkSample' => '<string>',
'helpKeywords' => [
'<string>'
],
'helpMessage' => '<string>',
'optInKeywords' => [
'<string>'
],
'optInMessage' => '<string>',
'optOutKeywords' => [
'<string>'
],
'optOutMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"retryAfterSeconds": 2,
"status": "pending"
}{
"code": "IDEMPOTENCY_KEY_REQUIRED",
"status": 400,
"title": "Idempotency Key Required",
"type": "https://photon.codes/docs/problems/idempotency-key-required"
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "CAMPAIGN_REGISTRATION_PAYMENT_FAILED",
"status": 402,
"title": "Campaign Registration Payment Failed",
"type": "https://photon.codes/docs/problems/campaign-registration-payment-failed",
"detail": "<string>",
"failureDetail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "BRAND_NOT_FOUND",
"status": 404,
"title": "Brand Not Found",
"type": "https://photon.codes/docs/problems/brand-not-found"
}{
"code": "IDEMPOTENCY_CONFLICT",
"status": 409,
"title": "Idempotency Conflict",
"type": "https://photon.codes/docs/problems/idempotency-conflict"
}{
"code": "PAYLOAD_TOO_LARGE",
"status": 413,
"title": "Payload Too Large",
"type": "https://photon.codes/docs/problems/payload-too-large"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "SERVICE_FAILURE",
"status": 502,
"title": "Service Failure",
"type": "https://photon.codes/docs/problems/service-failure"
}{
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"title": "Service Temporarily Unavailable",
"type": "https://photon.codes/docs/problems/service-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Register a campaign
Creates a campaign for an organization-owned brand, charges the non-refundable registration amount, and submits automatically after brand verification and qualification. The selected use cases are immutable after submission. Replay a pending request with the same body and Idempotency-Key.
curl --request POST \
--url https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"description": "<string>",
"embeddedLinks": true,
"embeddedPhoneNumbers": true,
"messageFlow": "<string>",
"name": "<string>",
"privacyPolicyUrl": "<string>",
"sampleMessages": [
"<string>"
],
"subscriberHelp": true,
"subscriberOptIn": true,
"subscriberOptOut": true,
"termsAndConditionsAccepted": true,
"termsAndConditionsUrl": "<string>",
"useCases": [],
"embeddedLinkSample": "<string>",
"helpKeywords": [
"<string>"
],
"helpMessage": "<string>",
"optInKeywords": [
"<string>"
],
"optInMessage": "<string>",
"optOutKeywords": [
"<string>"
],
"optOutMessage": "<string>"
}
'import requests
url = "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns"
payload = {
"description": "<string>",
"embeddedLinks": True,
"embeddedPhoneNumbers": True,
"messageFlow": "<string>",
"name": "<string>",
"privacyPolicyUrl": "<string>",
"sampleMessages": ["<string>"],
"subscriberHelp": True,
"subscriberOptIn": True,
"subscriberOptOut": True,
"termsAndConditionsAccepted": True,
"termsAndConditionsUrl": "<string>",
"useCases": [],
"embeddedLinkSample": "<string>",
"helpKeywords": ["<string>"],
"helpMessage": "<string>",
"optInKeywords": ["<string>"],
"optInMessage": "<string>",
"optOutKeywords": ["<string>"],
"optOutMessage": "<string>"
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
embeddedLinks: true,
embeddedPhoneNumbers: true,
messageFlow: '<string>',
name: '<string>',
privacyPolicyUrl: '<string>',
sampleMessages: ['<string>'],
subscriberHelp: true,
subscriberOptIn: true,
subscriberOptOut: true,
termsAndConditionsAccepted: true,
termsAndConditionsUrl: '<string>',
useCases: [],
embeddedLinkSample: '<string>',
helpKeywords: ['<string>'],
helpMessage: '<string>',
optInKeywords: ['<string>'],
optInMessage: '<string>',
optOutKeywords: ['<string>'],
optOutMessage: '<string>'
})
};
fetch('https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'description' => '<string>',
'embeddedLinks' => true,
'embeddedPhoneNumbers' => true,
'messageFlow' => '<string>',
'name' => '<string>',
'privacyPolicyUrl' => '<string>',
'sampleMessages' => [
'<string>'
],
'subscriberHelp' => true,
'subscriberOptIn' => true,
'subscriberOptOut' => true,
'termsAndConditionsAccepted' => true,
'termsAndConditionsUrl' => '<string>',
'useCases' => [
],
'embeddedLinkSample' => '<string>',
'helpKeywords' => [
'<string>'
],
'helpMessage' => '<string>',
'optInKeywords' => [
'<string>'
],
'optInMessage' => '<string>',
'optOutKeywords' => [
'<string>'
],
'optOutMessage' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns"
payload := strings.NewReader("{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.photon.codes/v1/organizations/{organization_id}/10dlc/brands/{brandId}/campaigns")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"description\": \"<string>\",\n \"embeddedLinks\": true,\n \"embeddedPhoneNumbers\": true,\n \"messageFlow\": \"<string>\",\n \"name\": \"<string>\",\n \"privacyPolicyUrl\": \"<string>\",\n \"sampleMessages\": [\n \"<string>\"\n ],\n \"subscriberHelp\": true,\n \"subscriberOptIn\": true,\n \"subscriberOptOut\": true,\n \"termsAndConditionsAccepted\": true,\n \"termsAndConditionsUrl\": \"<string>\",\n \"useCases\": [],\n \"embeddedLinkSample\": \"<string>\",\n \"helpKeywords\": [\n \"<string>\"\n ],\n \"helpMessage\": \"<string>\",\n \"optInKeywords\": [\n \"<string>\"\n ],\n \"optInMessage\": \"<string>\",\n \"optOutKeywords\": [\n \"<string>\"\n ],\n \"optOutMessage\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"retryAfterSeconds": 2,
"status": "pending"
}{
"code": "IDEMPOTENCY_KEY_REQUIRED",
"status": 400,
"title": "Idempotency Key Required",
"type": "https://photon.codes/docs/problems/idempotency-key-required"
}{
"code": "NOT_AUTHENTICATED",
"status": 401,
"title": "Not Authenticated",
"type": "https://photon.codes/docs/problems/not-authenticated"
}{
"code": "CAMPAIGN_REGISTRATION_PAYMENT_FAILED",
"status": 402,
"title": "Campaign Registration Payment Failed",
"type": "https://photon.codes/docs/problems/campaign-registration-payment-failed",
"detail": "<string>",
"failureDetail": "<string>",
"instance": "<string>",
"remediation": "<unknown>",
"requestId": "<string>"
}{
"code": "FORBIDDEN",
"status": 403,
"title": "Forbidden",
"type": "https://photon.codes/docs/problems/forbidden"
}{
"code": "BRAND_NOT_FOUND",
"status": 404,
"title": "Brand Not Found",
"type": "https://photon.codes/docs/problems/brand-not-found"
}{
"code": "IDEMPOTENCY_CONFLICT",
"status": 409,
"title": "Idempotency Conflict",
"type": "https://photon.codes/docs/problems/idempotency-conflict"
}{
"code": "PAYLOAD_TOO_LARGE",
"status": 413,
"title": "Payload Too Large",
"type": "https://photon.codes/docs/problems/payload-too-large"
}{
"code": "VALIDATION_FAILED",
"issues": [
{
"code": "invalid_type",
"location": "json",
"message": "Expected a string.",
"path": "/name"
}
],
"status": 422,
"title": "Request Validation Failed",
"type": "https://photon.codes/docs/problems/validation-failed"
}{
"code": "RATE_LIMITED",
"status": 429,
"title": "Too Many Requests",
"type": "https://photon.codes/docs/problems/rate-limited"
}{
"code": "INTERNAL_ERROR",
"status": 500,
"title": "Internal Server Error",
"type": "https://photon.codes/docs/problems/internal-error"
}{
"code": "SERVICE_FAILURE",
"status": 502,
"title": "Service Failure",
"type": "https://photon.codes/docs/problems/service-failure"
}{
"code": "SERVICE_UNAVAILABLE",
"status": 503,
"title": "Service Temporarily Unavailable",
"type": "https://photon.codes/docs/problems/service-unavailable"
}{
"code": "REQUEST_TIMEOUT",
"status": 504,
"title": "Request Timeout",
"type": "https://photon.codes/docs/problems/request-timeout"
}Authorizations
Account Service Key, prefixed with pho_ask_, sent as Authorization: Bearer <key>. Acts on behalf of its owning account, subject to the permissions and credential restrictions of each operation. Account access tokens and OAuth grants also use the Bearer header. In organizations that require SSO, Account Service Keys are not accepted for managing the organization's SSO settings, deleting the organization, or checking whether it can be deleted.
Headers
Identifies one campaign mutation across retries. UUIDs are recommended.
8 - 128^[!-~]{8,128}$Path Parameters
^pho_brd_[0-9a-z]{26}$^pho_org_[0-9a-z]{26}$Body
40 - 409640 - 20481 - 6420482 - 5 elements20 - 25520481 - 5 elements2FA, ACCOUNT_NOTIFICATION, CUSTOMER_CARE, DELIVERY_NOTIFICATION, FRAUD_ALERT, HIGHER_EDUCATION, MARKETING, POLLING_VOTING, PUBLIC_SERVICE_ANNOUNCEMENT, SECURITY_ALERT 20481^[A-Z0-9]+$20 - 3201^[A-Z0-9]+$20 - 3201^[A-Z0-9]+$20 - 320Was this page helpful?